Bug 1023667 - The Python libgfapi API needs more fops
The Python libgfapi API needs more fops
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: libgfapi (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: GlusterFS Bugs list
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 15:45 EDT by Justin Clift
Modified: 2015-07-13 00:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-11 21:38:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2013-10-26 15:45:40 EDT
Description of problem:

  The Python libgfapi presently has a small subset of the available file
  operations.

  This needs to be expanded out to match the functions available through C.


Version-Release number of selected component (if applicable):

  Upstream git master, as of Sat 26 October 2013
Comment 1 Anand Avati 2013-10-28 15:34:26 EDT
REVIEW: http://review.gluster.org/6158 (Add chmod() and chown() to Python Libgfapi API) posted (#1) for review on master by Justin Clift (jclift@redhat.com)
Comment 2 Anand Avati 2013-10-28 17:40:11 EDT
REVIEW: http://review.gluster.org/6158 (Add chmod(), chown(), and several docstrings to Python Libgfapi API) posted (#2) for review on master by Justin Clift (jclift@redhat.com)
Comment 3 Anand Avati 2013-10-29 05:45:26 EDT
REVIEW: http://review.gluster.org/6158 (Add chmod, chown & docstrings to Python Libgfapi) posted (#3) for review on master by Justin Clift (jclift@redhat.com)
Comment 4 Justin Clift 2014-02-11 21:38:32 EST
This looks to be getting addressed by this project instead:

  https://github.com/gluster/libgfapi-python/

Note You need to log in before you can comment on or make changes to this bug.